<template>
    <main>
        <div class="h1-container">
            <h1 class="h1-with-line"> {{testQuestions.extra.challenge_name }} </h1>
            <div class="h1-line"></div>
            <div class="clear"></div>
        </div>
        <div class="text-center ilts-ask-name">{{testQuestions.extra.section_name }}</div>
        <div class=" text-center delayedtime">
            <div>Затрачено времени: {{estimatedTime}}</div>
            <div>Результат: {{results.rating}}/{{results.min_rating}}</div>
        </div>
        <div v-for="(question, index) in testQuestions.answers" v-bind:key="question.id">
            <div class="ask text-center">{{question.text}}</div>
            <div v-if="question.text_image" class="photo-ask" :style="{'background-image': 'url('+question.text_image+')'}"> </div>
            <div class="option flex-parent flex-column">
                <div v-for="(choice, id) in question.answers_list" v-bind:key="id">
                    <div class="for-option flex-parent">

                        <input class="radio" type="checkbox" name="option" :value="id+1" v-model="listOfAnswers[index]" />
                        <div class="right" v-if="results.answers.answers[index].includes(id+1)">Верно</div>
                        <div class="wrong" v-else>Неверно</div>
                        <div class="word-option">{{choice}}</div>
                    </div>
                </div>
                <div class="hint">Подсказка: {{question.hint}}
                    </div>
            </div>
        </div>
        <!--<router-link class="a-btn" :to="{name: 'Category'}">Пoвторить</router-link>-->
    </main>
</template>

<script>
    export default {
        name: 'TestFinish',
        props: ['id'],
        data(){
            return{
                started: false,
                remainTime: 0,
            }
        },
        computed:{
            testQuestions(){
                let testQuestions = this.$store.getters.testQuestions;
                return testQuestions
            },
            listOfAnswers(){
                let listOfAnswers = this.$store.getters.listOfAnswers;
                console.log('list', listOfAnswers)
                return listOfAnswers
            },
            results(){
                let results = this.$store.getters.results;
                return results
            },
            estimatedTime(){
                let time = this.$store.getters.estimatedTime;
                return time;
            },
        },
    }
</script>
